import request from '@/utils/request'

// 查询固定地址区划列表
export function listDFixAddressArea(query) {
  return request({
    url: '/system/dFixAddressArea/list',
    method: 'get',
    params: query
  })
}

// 查询固定地址区划详细
export function getDFixAddressArea(id) {
  return request({
    url: '/system/dFixAddressArea/' + id,
    method: 'get'
  })
}

// 新增固定地址区划
export function addDFixAddressArea(data) {
  return request({
    url: '/system/dFixAddressArea',
    method: 'post',
    data: data
  })
}

// 修改固定地址区划
export function updateDFixAddressArea(data) {
  return request({
    url: '/system/dFixAddressArea',
    method: 'put',
    data: data
  })
}

// 删除固定地址区划
export function delDFixAddressArea(id) {
  return request({
    url: '/system/dFixAddressArea/' + id,
    method: 'delete'
  })
}
